# Pico Pi ILI9341 Wiring

SPI Video https://www.youtube.com/watch?v=suCTwxlYgnM

Assumes Hardware SPI0 drives ILI9341 display

The hardware on this board is 3.3v and 5v tolerant. 

| GPIO Pin      | ILI9341 [J2]|
|---------------|-------------|
| 3.3v          |1. VCC       |
| GND           |2. GND	      |
| GPIO 17       |3. CS        |
| GPIO 14       |4. RESET     |
| GPIO 15       |5. DC        |
| GPIO 19       |7. SDI (MOSI)|
| GPIO 18       |8. SCK       |
| 3.3v          |9. LED       |
| GPIO 16       |10.SDO (MISO)|

Touchscreen wiring

| GPIO Pin      | XPT2046 [J2]|
|---------------|-------------|
| GPIO ?        |11. T_CLK    |
| GPIO ?        |12. T_CS     |
| GPIO ?        |13. T_DIN    |
| GPIO ?        |14. T_DO     |
| GPIO ?        |15. T_IRQ    |

